Bug 1180874 - [abrt] GeoIP: geoiplookup(): geoiplookup killed by SIGSEGV
[abrt] GeoIP: geoiplookup(): geoiplookup killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: GeoIP (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:897cfdbf51248e9da8f56a0d78e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-11 06:56 EST by Lorenzo Pistone
Modified: 2015-05-14 02:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: GeoIP-1.6.5-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-26 11:40:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (18.70 KB, text/plain)
2015-01-11 06:56 EST, Lorenzo Pistone
no flags Details
File: cgroup (190 bytes, text/plain)
2015-01-11 06:56 EST, Lorenzo Pistone
no flags Details
File: core_backtrace (706 bytes, text/plain)
2015-01-11 06:56 EST, Lorenzo Pistone
no flags Details
File: dso_list (310 bytes, text/plain)
2015-01-11 06:56 EST, Lorenzo Pistone
no flags Details
File: environ (3.49 KB, text/plain)
2015-01-11 06:56 EST, Lorenzo Pistone
no flags Details
File: exploitable (93 bytes, text/plain)
2015-01-11 06:56 EST, Lorenzo Pistone
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-11 06:56 EST, Lorenzo Pistone
no flags Details
File: maps (1.92 KB, text/plain)
2015-01-11 06:57 EST, Lorenzo Pistone
no flags Details
File: open_fds (204 bytes, text/plain)
2015-01-11 06:57 EST, Lorenzo Pistone
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2015-01-11 06:57 EST, Lorenzo Pistone
no flags Details
File: var_log_messages (10.95 KB, text/plain)
2015-01-11 06:57 EST, Lorenzo Pistone
no flags Details

  None (edit)
Description Lorenzo Pistone 2015-01-11 06:56:48 EST
Description of problem:
passing a CSV database (or I suppose any non valid .dat database) to option -f

Version-Release number of selected component:
GeoIP-1.5.1-6.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        geoiplookup -f /home/pisto/GeoIPASNum2.csv 69.55.48.0
crash_function: geoiplookup
executable:     /usr/bin/geoiplookup
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 geoiplookup at geoiplookup.c:281

Potential duplicate: bug 987666
Comment 1 Lorenzo Pistone 2015-01-11 06:56:51 EST
Created attachment 978729 [details]
File: backtrace
Comment 2 Lorenzo Pistone 2015-01-11 06:56:52 EST
Created attachment 978730 [details]
File: cgroup
Comment 3 Lorenzo Pistone 2015-01-11 06:56:54 EST
Created attachment 978731 [details]
File: core_backtrace
Comment 4 Lorenzo Pistone 2015-01-11 06:56:55 EST
Created attachment 978732 [details]
File: dso_list
Comment 5 Lorenzo Pistone 2015-01-11 06:56:56 EST
Created attachment 978733 [details]
File: environ
Comment 6 Lorenzo Pistone 2015-01-11 06:56:57 EST
Created attachment 978734 [details]
File: exploitable
Comment 7 Lorenzo Pistone 2015-01-11 06:56:58 EST
Created attachment 978735 [details]
File: limits
Comment 8 Lorenzo Pistone 2015-01-11 06:57:00 EST
Created attachment 978736 [details]
File: maps
Comment 9 Lorenzo Pistone 2015-01-11 06:57:01 EST
Created attachment 978737 [details]
File: open_fds
Comment 10 Lorenzo Pistone 2015-01-11 06:57:02 EST
Created attachment 978738 [details]
File: proc_pid_status
Comment 11 Lorenzo Pistone 2015-01-11 06:57:03 EST
Created attachment 978739 [details]
File: var_log_messages
Comment 12 Greg Oschwald 2015-01-13 12:00:56 EST
I confirmed this bug on the latest upstream version. I created an internal issue to fix it. Hopefully it will be done in our next iteration.
Comment 13 Greg Oschwald 2015-02-02 12:42:04 EST
We have fixed this upstream:

https://github.com/maxmind/geoip-api-c/commit/6866b0270ec1a748c1412ebdfdd7a00ef1123c6d

The fixes will be in our next release, which will hopefully be soon.
Comment 14 Fedora Update System 2015-04-14 03:57:53 EDT
GeoIP-GeoLite-data-2015.04-1.el5,geoipupdate-2.2.1-2.el5,GeoIP-1.6.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.el5,geoipupdate-2.2.1-2.el5,GeoIP-1.6.5-1.el5
Comment 15 Fedora Update System 2015-04-14 03:59:14 EDT
GeoIP-GeoLite-data-2015.04-1.el6,geoipupdate-2.2.1-2.el6,GeoIP-1.6.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.el6,geoipupdate-2.2.1-2.el6,GeoIP-1.6.5-1.el6
Comment 16 Fedora Update System 2015-04-14 04:00:33 EDT
GeoIP-GeoLite-data-2015.04-1.fc21,geoipupdate-2.2.1-2.fc21,GeoIP-1.6.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.fc21,geoipupdate-2.2.1-2.fc21,GeoIP-1.6.5-1.fc21
Comment 17 Fedora Update System 2015-04-14 04:00:50 EDT
GeoIP-GeoLite-data-2015.04-1.fc22,geoipupdate-2.2.1-2.fc22,GeoIP-1.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.fc22,geoipupdate-2.2.1-2.fc22,GeoIP-1.6.5-1.fc22
Comment 18 Fedora Update System 2015-04-14 04:03:13 EDT
GeoIP-GeoLite-data-2015.04-1.fc20,geoipupdate-2.2.1-2.fc20,GeoIP-1.6.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.fc20,geoipupdate-2.2.1-2.fc20,GeoIP-1.6.5-1.fc20
Comment 19 Paul Howarth 2015-04-14 10:41:21 EDT
I've built updates to GeoIP 1.6.5 for all current Fedora releases, plus EPEL-5 and EPEL-6, which should address this.

However, EL-7 ships with GeoIP 1.5.0 so it still may be an issue there.
Comment 20 Fedora Update System 2015-04-21 15:15:05 EDT
GeoIP-GeoLite-data-2015.04-1.fc22, geoipupdate-2.2.1-2.fc22, GeoIP-1.6.5-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-04-26 08:48:35 EDT
GeoIP-GeoLite-data-2015.04-1.fc20, geoipupdate-2.2.1-2.fc20, GeoIP-1.6.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-04-26 08:58:42 EDT
GeoIP-GeoLite-data-2015.04-1.fc21, geoipupdate-2.2.1-2.fc21, GeoIP-1.6.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-05-14 02:27:57 EDT
geoipupdate-2.2.1-2.el6, GeoIP-1.6.5-1.el6, GeoIP-GeoLite-data-2015.04-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2015-05-14 02:28:41 EDT
geoipupdate-2.2.1-2.el5, GeoIP-GeoLite-data-2015.04-2.el5, GeoIP-1.6.5-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.